org.wso2.carbon.rest.api.ui.client

## Class RestApiAdminClient

- java.lang.Object
- - org.wso2.carbon.rest.api.ui.client.RestApiAdminClient

-     public class RestApiAdminClient
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RestApiAdminClient(org.apache.axis2.context.ConfigurationContext configCtx, String backendServerURL, String cookie, Locale locale)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addApi(org.wso2.carbon.rest.api.stub.types.carbon.APIData apiData)`
    `void` | `addApiFromString(String apiData)`
    `String` | `addSwaggerDocument(String apiName, String swaggerDefinition, int tenantId)`
    `void` | `deleteAllApi()`
    `void` | `deleteApi(String apiName)`
    `void` | `deleteSelectedApi(String[] apiNames)`
    `String` | `disableStatistics(String apiName)`
    `String` | `disableTracing(String apiName)`
    `String` | `enableStatistics(String apiName)`
    `String` | `enableTracing(String apiName)`
    `String` | `generateAPIFromSwagger(String swaggerJsonString)`
    `String` | `generateUpdatedAPIFromSwagger(String swaggerJsonString, String existingApiName)`
    `org.wso2.carbon.rest.api.stub.types.carbon.APIData` | `getApiByName(String apiName)`
    `int` | `getAPICount()`
    `String[]` | `getApiNames()`
    `org.wso2.carbon.rest.api.stub.types.carbon.APIData[]` | `getAPIsForListing(int pageNumber, int itemsPerPage)`
    `org.wso2.carbon.rest.api.stub.types.carbon.APIData[]` | `getAPIsForSearchListing(int pageNumber, int itemsPerPage, String searchText)`
    `String` | `getApiSource(org.wso2.carbon.rest.api.stub.types.carbon.APIData apiData)`
    `String[]` | `getDefinedSequences()`
    `String` | `getResourceSource(org.wso2.carbon.rest.api.stub.types.carbon.ResourceData resourceData)`
    `String` | `getServerContext()`
    `String` | `getSwaggerDocument(String apiName, int tenantId)`
    `void` | `updateApi(org.wso2.carbon.rest.api.stub.types.carbon.APIData apiData)`
    `void` | `updateApiFromString(String apiName, String apiData)`
    `String` | `updateSwaggerDocument(String apiName, String swaggerDefinition, int tenantId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RestApiAdminClient

          public RestApiAdminClient(org.apache.axis2.context.ConfigurationContext configCtx,
                                    String backendServerURL,
                                    String cookie,
                                    Locale locale)
                             throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

  - ### Method Detail

    - #### getApiNames

          public String[] getApiNames()
                               throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### getApiByName

          public org.wso2.carbon.rest.api.stub.types.carbon.APIData getApiByName(String apiName)
                                                                          throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### getAPIsForListing

          public org.wso2.carbon.rest.api.stub.types.carbon.APIData[] getAPIsForListing(int pageNumber,
                                                                                        int itemsPerPage)
                                                                                 throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### getAPIsForSearchListing

          public org.wso2.carbon.rest.api.stub.types.carbon.APIData[] getAPIsForSearchListing(int pageNumber,
                                                                                              int itemsPerPage,
                                                                                              String searchText)
                                                                                       throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### getAPICount

          public int getAPICount()
                          throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### deleteApi

          public void deleteApi(String apiName)
                         throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### addApi

          public void addApi(org.wso2.carbon.rest.api.stub.types.carbon.APIData apiData)
                      throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### updateApi

          public void updateApi(org.wso2.carbon.rest.api.stub.types.carbon.APIData apiData)
                         throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### getDefinedSequences

          public String[] getDefinedSequences()
                                       throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### getApiSource

          public String getApiSource(org.wso2.carbon.rest.api.stub.types.carbon.APIData apiData)
                              throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### getResourceSource

          public String getResourceSource(org.wso2.carbon.rest.api.stub.types.carbon.ResourceData resourceData)
                                   throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### addApiFromString

          public void addApiFromString(String apiData)
                                throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### updateApiFromString

          public void updateApiFromString(String apiName,
                                          String apiData)
                                   throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### getServerContext

          public String getServerContext()
                                  throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### deleteSelectedApi

          public void deleteSelectedApi(String[] apiNames)
                                 throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### deleteAllApi

          public void deleteAllApi()
                            throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### enableStatistics

          public String enableStatistics(String apiName)
                                  throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### disableStatistics

          public String disableStatistics(String apiName)
                                   throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### enableTracing

          public String enableTracing(String apiName)
                               throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### disableTracing

          public String disableTracing(String apiName)
                                throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### updateSwaggerDocument

          public String updateSwaggerDocument(String apiName,
                                              String swaggerDefinition,
                                              int tenantId)
                                       throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### addSwaggerDocument

          public String addSwaggerDocument(String apiName,
                                           String swaggerDefinition,
                                           int tenantId)
                                    throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### getSwaggerDocument

          public String getSwaggerDocument(String apiName,
                                           int tenantId)
                                    throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### generateAPIFromSwagger

          public String generateAPIFromSwagger(String swaggerJsonString)
                                        throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### generateUpdatedAPIFromSwagger

          public String generateUpdatedAPIFromSwagger(String swaggerJsonString,
                                                      String existingApiName)
                                               throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

Copyright © 2021 WSO2. All rights reserved.